Counts occurrences of values.
> Alternatives: [one], [one-map], [all-map].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.countAllOn(x, [fn], [ths]);
// x:   an array
// fn:  map function (v, i, x)
// ths: this argument
// --> occurrences
```

```javascript
const array = require('extra-array');

var x = [1, 1, 2, 2, 4];
array.countOn(x, 2);
// 2           ^  ^

var x = [1, 1, 2, 2, 4];
array.countOn(x, 3, v => v % 2);
// 2     ^  ^
```

### references

- [count-array-values: @zeke](https://www.npmjs.com/package/count-array-values)
- [_.countBy(): lodash](https://lodash.com/docs/4.17.15#countBy)
- [List-Extra.count(): elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#count)

[one]: https://github.com/nodef/extra-array/wiki/count
[one-map]: https://github.com/nodef/extra-array/wiki/countOn
[all-map]: https://github.com/nodef/extra-array/wiki/countAllOn
